## tslib 0.0.1-15

=== debian/changelog ===
tslib (0.0.1-15) unstable; urgency=low
 
  * remove unnecessary complexity
    Since the kernel touchscreen driver now actually works, no need
    for these over-elaborate tweaks here.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  4 Apr 2005 13:38:00 +0300

tslib (0.0.1-14) unstable; urgency=low

  * Optimize for latest kernel

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Mar 2005 15:29:00 +0200

tslib (0.0.1-13) unstable; urgency=low

  * Minor fix

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  1 Mar 2005 14:27:00 +0200

tslib (0.0.1-12) unstable; urgency=low

  * upstream update, bump shlibs 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 23 Feb 2005 19:15:41 +0200

tslib (0.0.1-11) unstable; urgency=low

  * comment pressure module out in ts.conf

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 15 Feb 2005 13:59:57 +0200

tslib (0.0.1-10) unstable; urgency=low

  * New pressure filter for touchscreen
  * Fix a horrible bug

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Feb 2005 13:02:29 +0200

tslib (0.0.1-9) unstable; urgency=low

  * update from leukkunen
  * introduces new symbols - update shlibs

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  9 Feb 2005 16:40:32 +0200

tslib (0.0.1-8) unstable; urgency=low

  * drop ts_calibrate and depend on tscalib [arm]
  * build-depend on automake, libtool

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 17 Jan 2005 15:27:40 +0200

tslib (0.0.1-7) unstable; urgency=low

  * Change text too

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 13 Dec 2004 15:10:05 +0200

tslib (0.0.1-6) unstable; urgency=low

  * Changed background color to avoid screen blanking 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  7 Dec 2004 13:30:04 +0200

tslib (0.0.1-5) unstable; urgency=low

  * Added timing out

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 30 Nov 2004 14:12:45 +0200

tslib (0.0.1-4) unstable; urgency=high
  * Fix /etc/ts.conf

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Fri, 22 Oct 2004 11:00:00 +0300

tslib (0.0.1-3) unstable; urgency=high
  * Set --datadir

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Fri, 22 Oct 2004 11:00:00 +0300

tslib (0.0.1-2) unstable; urgency=high
  * Fix tslib to work with input layer correctly

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Thu, 14 Oct 2004 14:24:00 +0300

tslib (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Wed, 26 May 2004 14:56:00 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
#version=1.0
#major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=\$${prefix}/share

configure:
	dh_testdir
	automake --add-missing --copy
	libtoolize --automake --force --copy
	autoconf

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate

	install -c -m 644 debian/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V 'tslib (>= 0.0.1-11)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tslib 1.18

=== CMakeLists.txt ===
#
#  tslib/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

cmake_minimum_required(VERSION 3.1)

cmake_policy(SET CMP0057 NEW)

project(tslib)

option(BUILD_SHARED_LIBS "ON:  tslib is build as shared; 
			  OFF: tslib is build as static" ON)
set(LIBTS_VERSION_CURRENT 10)
set(LIBTS_VERSION_REVISION 0)
set(LIBTS_VERSION_AGE 10)

set(PACKAGE_VERSION 1.18)
set(tslib_extras_dir ${CMAKE_INSTALL_PREFIX}/etc)
set(TS_POINTERCAL ${tslib_extras_dir}/pointercal)
set(TS_CONF ${tslib_extras_dir}/ts.conf)

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(tests)
add_subdirectory(tools)
add_subdirectory(etc)
add_subdirectory(doc)

#create Config files to help other lbiraries to find the package
include(CMakePackageConfigHelpers)
set(config_package_location cmake)

write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  VERSION ${PACKAGE_VERSION}
  COMPATIBILITY AnyNewerVersion
)
configure_package_config_file(cmake/tslibConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  INSTALL_DESTINATION lib/cmake/tslib)

install(EXPORT tslibTargets
  FILE tslibTargets.cmake
  NAMESPACE tslib::
  DESTINATION lib/cmake/tslib)

install(FILES 
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  DESTINATION lib/cmake/tslib)

=== src/CMakeLists.txt ===
#
#  tslib/src/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

include(CheckIncludeFile)
include(CheckFunctionExists)

if (NOT ${CMAKE_DL_LIBS} STREQUAL "")
	set(HAVE_LIBDL 1)
	set(PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib/ts)
endif()

check_include_file(unistd.h  HAVE_UNISTD_H)
check_function_exists(strsep HAVE_STRSEP)

configure_file(../cmake/config.h.in config.h @ONLY)

set(tslib_core_src  ts_attach.c
		    ts_close.c
		    ts_config.c
		    ts_error.c
		    ts_fd.c
		    ts_get_eventpath.c
		    ts_load_module.c
		    ts_open.c
		    ts_option.c
		    ts_parse_vars.c
		    ts_read.c
		    ts_read_raw.c
		    ts_setup.c
		    ts_strsep.c
		    ts_version.c
)

add_library(tslib ${tslib_core_src})
set_property(TARGET tslib PROPERTY POSITION_INDEPENDENT_CODE ON)

math(EXPR LIBTS_MAJOR "${LIBTS_VERSION_CURRENT} - ${LIBTS_VERSION_AGE}")
set_target_properties(tslib PROPERTIES VERSION ${LIBTS_MAJOR}.${LIBTS_VERSION_AGE}.${LIBTS_VERSION_REVISION}
                                       SOVERSION ${LIBTS_MAJOR} )


if (WIN32)
	target_compile_definitions(tslib PRIVATE _CRT_SECURE_NO_WARNINGS)
endif (WIN32)

target_compile_definitions(tslib PUBLIC 
				TS_CONF="${TS_CONF}" 
				TS_POINTERCAL="${TS_POINTERCAL}"
				PLUGIN_DIR="${PLUGIN_DIR}"
				$<BUILD_INTERFACE:TSLIB_INTERNAL>)
target_link_libraries(tslib ${CMAKE_DL_LIBS})

target_include_directories(tslib PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}>"
				       	"$<INSTALL_INTERFACE:include>")

set_target_properties(tslib PROPERTIES PUBLIC_HEADER tslib.h)
set_target_properties(tslib PROPERTIES OUTPUT_NAME   ts)

install(TARGETS tslib EXPORT tslibTargets
           LIBRARY DESTINATION "lib"
	   ARCHIVE DESTINATION "lib"
	   PUBLIC_HEADER DESTINATION "include")

=== tests/CMakeLists.txt ===
#
#  tslib/tests/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#


option(with-sdl "build graphical tools like ts_calibrate using SDL" OFF)

if (${with-sdl})
	find_package(SDL2 REQUIRED)
endif()

function(TSLIB_ADD_TEST_ON_PLATFORMS test_name)
	foreach(condition IN LISTS ARGN)
		if (${condition})
			add_executable(${test_name} ${${test_name}_SOURCES})
			target_link_libraries(${test_name} PUBLIC tslib)
			if (${with-sdl})
				target_link_libraries(${test_name} PUBLIC SDL2)
			endif()
			set(tslib_tests ${tslib_tests} ${test_name} PARENT_SCOPE)
			break()
		endif()
	endforeach()
endfunction(TSLIB_ADD_TEST_ON_PLATFORMS)


set(fbutils $<$<PLATFORM_ID:FreeBSD>:fbutils-bsd.c>
	    $<$<PLATFORM_ID:Linux>:fbutils-linux.c>)


if(${with-sdl})
	set(ts_test_mt_SOURCES ts_test_mt_sdl.c sdlutils.c)
	set(ts_calibrate_SOURCES ts_calibrate_sdl.c ts_calibrate_common.c sdlutils.c)
else()
	set(ts_test_mt_SOURCES ts_test_mt.c testutils.c font_8x8.c font_8x16.c ${fbutils})
	set(ts_calibrate_SOURCES ts_calibrate.c ts_calibrate_common.c testutils.c font_8x8.c font_8x16.c ${fbutils})
endif()

set(ts_test_SOURCES ts_test.c testutils.c font_8x8.c font_8x16.c ${fbutils})
set(ts_print_SOURCES  ts_print.c)
set(ts_print_mt_SOURCES ts_print_mt.c)
set(ts_verify_SOURCES ts_verify.c)
set(ts_print_raw_SOURCES ts_print_raw.c)
set(ts_finddev_SOURCES ts_finddev.c)
set(ts_harvest_SOURCES ts_harvest.c testutils.c font_8x8.c font_8x16.c ${fbutils})


## ADD TESTS
########################
if (WIN32 AND ${with-sdl})
	set(WIN32_WITH_SDL TRUE)
endif()

if (UNIX AND NOT ${with-sdl})
	set(UNIX_WITHOUT_SDL TRUE)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
	set(LINUX TRUE)
endif()

TSLIB_ADD_TEST_ON_PLATFORMS(ts_print     UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_print_raw UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_print_mt  UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_harvest   UNIX)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_finddev   UNIX)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_test_mt   UNIX ${WIN32_WITH_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_calibrate UNIX ${WIN32_WITH_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_test   	 ${UNIX_WITHOUT_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_verify    ${LINUX})

install(TARGETS ${tslib_tests}
	RUNTIME DESTINATION "bin")

=== tools/CMakeLists.txt ===
#
#  tslib/tools/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

option(ENABLE_TOOLS ON)

if (${ENABLE_TOOLS})
	add_executable(ts_uinput ts_uinput.c)
	target_link_libraries(ts_uinput tslib)
	target_compile_definitions(ts_uinput -DTS_POINTERCAL=${TS_POINTERCAL})

	install(TARGETS ts_uinput
		RUNTIME DESTINATION "bin")
endif()

## tslib 0.0.1-18embed1

=== debian/changelog ===
tslib (0.0.1-18) unstable; urgency=low

  * move development tools to -dev package

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 14 Jun 2005 16:32:16 +0300

tslib (0.0.1-17) unstable; urgency=low

  * Update calibration defaults to match current display

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 14 Jun 2005 15:57:28 +0300

tslib (0.0.1-16) unstable; urgency=low

  * Drop tscalib dependency, and provide default pointercal file instead

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  9 May 2005 13:52:36 +0300

=== _darcs/current/debian/control ===
Source: tslib
Priority: optional
Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool
Standards-Version: 3.6.0

Package: tslib-dev
Section: devel
Architecture: any
Depends: tslib (= ${Source-Version})
Description: tslib development files
 

Package: tslib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, tscalib
Description: tslib touchscreen library

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
#version=1.0
#major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=\$${prefix}/share

configure:
	dh_testdir
	automake --add-missing --copy
	libtoolize --automake --force --copy
	autoconf

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate

	install -c -m 644 debian/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V 'tslib (>= 0.0.1-9)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,9 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate
 
-	install -c -m 644 debian/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
+	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
+	install -c -m 644 etc/pointercal $(CURDIR)/debian/tmp/etc/pointercal
+	install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
 
 
 # Build architecture-independent files here.

## tslib 0.1.1-6

=== debian/changelog ===
tslib (0.1.1-6) unstable; urgency=low

  * Added pointercal-ls041y3-RX-37.default.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  6 Jul 2006 13:42:32 +0000

tslib (0.1.1-5) unstable; urgency=low

  * Added pointercal-ls041y3_b.default

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  5 Apr 2006 18:48:19 +0300

tslib (0.1.1-4) unstable; urgency=low

  * Clip and invert pressure values.
  * Don't install *.la files.
  * Move plugins to /usr/lib from /usr/share (closes: N#25328).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  5 Apr 2006 11:15:11 +0000

tslib (0.1.1-3) unstable; urgency=low

  * pointercal-lph8923.default: minor bug with values fixed 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri,  3 Mar 2006 16:38:06 +0200

tslib (0.1.1-2) unstable; urgency=low

  * put all 4 pointercal-* files 
    (only pointercal*default were copied before)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  2 Mar 2006 16:46:39 +0200

tslib (0.1.1-1) unstable; urgency=low

  * first rx-34 build 
  * added pointercal files for both panel types

 -- Eduard Bartosh <ed@ok.research.nokia.com>  Thu,  2 Mar 2006 11:28:40 +0200

=== debian/control ===
Source: tslib
Priority: optional
Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool
Standards-Version: 3.6.0

Package: tslib-dev
Section: devel
Architecture: any
Depends: tslib (= ${Source-Version})
Description: tslib development files
 

Package: tslib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: osso-applet-screencalibration (<= 1.3-1)
Description: tslib touchscreen library

=== debian/rules ===
--- 
+++ 
@@ -81,8 +81,8 @@
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate
 
 	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
-	install -c -m 644 etc/pointercal $(CURDIR)/debian/tmp/etc/pointercal
-	install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
+	install -c -m 644 etc/pointercal-* $(CURDIR)/debian/tmp/etc/
+	#install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
 
 
 # Build architecture-independent files here.

## tslib 0.1.1-7

=== debian/changelog ===
tslib (0.1.1-7) unstable; urgency=low

  * Remove tslib.conffiles; debhelper does this for us.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  4 Jul 2006 11:26:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tslib
 Priority: optional
 Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool
+Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool, linux-kernel-headers (>= 2.6.16.osso3)
 Standards-Version: 3.6.0
 
 Package: tslib-dev

=== debian/rules ===
--- 
+++ 
@@ -81,9 +81,6 @@
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate
 
 	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
-	install -c -m 644 etc/pointercal-* $(CURDIR)/debian/tmp/etc/
-	#install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
-
 
 # Build architecture-independent files here.
 binary-indep: build install

## tslib 0.1.1-10

=== debian/changelog ===
tslib (0.1.1-10) unstable; urgency=low

  * Remove tslib.conffiles.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 17:14:02 +0300

tslib (0.1.1-9) unstable; urgency=low

  * Disable filtering: all events from the kernel are good.
  * Change maintainer to myself.
  * Don't generate build system files.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 16:19:23 +0300

## tslib 0.1.1-12

=== debian/changelog ===
tslib (0.1.1-12) unstable; urgency=low

  * Fix a boatload of compiler warnings.  Fixes: NB#50817 

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 18 Sep 2007 15:57:31 +0300

tslib (0.1.1-11) unstable; urgency=low

  * Fix ts_write_calibration return code.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 21 Jun 2007 18:36:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tslib
 Priority: optional
-Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool, linux-kernel-headers (>= 2.6.16.osso3)
+Maintainer: Daniel Stone <daniel.stone@nokia.com>
+Build-Depends: debhelper (>= 4.0.0), linux-kernel-headers (>= 2.6.16.osso3)
 Standards-Version: 3.6.0
 
 Package: tslib-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=\$${prefix}/share

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate

	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'tslib (>= 0.0.1-11)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tslib 1.0

=== debian/changelog ===
tslib (1.0-12) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Drop Uploaders field.
  * Export dpkg buildflags to fix multiple debug-file-with-no-debug-symbols
    and hardening-no-relro lintian warnings.
  * Bump Standards-Version to 3.9.5.

 -- Emanuele Rocca <ema@debian.org>  Mon, 20 Jan 2014 09:09:13 +0100

tslib (1.0-11) unstable; urgency=low

  * Upload multi-arch support to unstable. (Closes: #664817)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Mar 2012 09:39:56 +0000

tslib (1.0-10) experimental; urgency=low

  [ Hector Oron ]
  * Set Architecture to linux-any, instead of any.

  [ Neil Williams ]
  * Convert to MultiArch paths
  * Upload to experimental for plugin testing.

 -- Neil Williams <codehelp@debian.org>  Tue, 07 Feb 2012 12:01:28 +0000

tslib (1.0-9) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * Add patch allow_EV_VERSION_0 to continue supporting Linux 2.6.36 and
    older. Previously kernel support depended on the kernel headers that
    tslib was built against. (Closes: #623095)
  
  * Do not refuse to work with old kernels. We can safely work with
    kernels that use EV_VERSION 0x010000 API since we use no features from
    0x010001 yet. (Closes: #623095)

  [ Hector Oron ]
  * Add myself to Uploaders field. 

  [ Neil Williams ]
  * Clean m4/internal and adjust for the new symbols generated
    (lintian). Update standards version.

 -- Neil Williams <codehelp@debian.org>  Tue, 05 Jul 2011 19:45:03 +0100

tslib (1.0-8) unstable; urgency=low

  * Drop .la file as per Policy 10.2 (Closes: #620658)
  * Migrate to source format 3.0 quilt from dpatch

 -- Neil Williams <codehelp@debian.org>  Tue, 05 Apr 2011 19:41:48 +0100

tslib (1.0-7) unstable; urgency=low

  * Migrate conffile and manpage into tsconf data package and
    migrate TSLIB_PLUGINDIR to /usr/lib/ts0/ so that plugin filenames
    remain unique. (Closes: #519872)

 -- Neil Williams <codehelp@debian.org>  Wed, 25 Mar 2009 11:04:45 +0000

tslib (1.0-6) unstable; urgency=low

  * Improve manpages to document change of Xorg driver to hal.
  * Migrate into unstable

 -- Neil Williams <codehelp@debian.org>  Fri, 06 Mar 2009 09:58:27 +0000

tslib (1.0-5) experimental; urgency=low

  * Add enviroment variables, including TSLIB_TSDEVICE, to manual page
    for ts_calibrate and reference as 'see also' in other pages.
    (Closes: #497516)
  * Add patch for 32bit big endian support - being tested upstream -
    to provide event interface on powerpc (Closes: #499446)
  * Patch AC_INIT to use 0.1.0 in tslib-0.0.pc (Closes: #496759)
  * Add 050-glibc2.8-ubuntu from 1.0-4ubuntu1, thanks to Michael
    Casadevall <sonicmctails@gmail.com> - Failure to build resolved due
    to glibc-2.8, resolved by modifying code to confirm to the new
    open()/O_CREAT API by adding a mode setting
  * Incorporate cross-building improvements from Emdebian
  * Add a general manpage for /etc/ts.conf in libts-0.0-0

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Dec 2008 11:08:54 +0000

tslib (1.0-4) unstable; urgency=low

  * Failure to install libts-dev because duplicated .so files (Closes:
    #463822)

 -- Neil Williams <codehelp@debian.org>  Sun, 03 Feb 2008 17:14:24 +0000

tslib (1.0-3) unstable; urgency=low

  * rules: Add cross build support
  * rules: Add -dbg package support
  * control: Add Debian GPE team to uploaders.
  * control: Add -dbg package.
  * Migrate to libts-0.0-0.install
  * Remove debian version number from symbols file
  * Migrate symbols file to new package name
  * Expand debian/copyright to machine-interpretable format
  * Add very simple man pages - the binaries themselves have no options
  * control: highlight use of libts-bin in developing touch screen apps,
    rather than users
  * control: Use embedded section and provide libts0
  * fix the watch file so that the real tarball is downloaded, not a
    webpage
  * debian/README: add instructions on building from collab-maint SVN
    (not a packaged file at this stage).
  * Revert manual change to source files and implement as dpatches; add
    dpatch support
  * rules: Support a cache-file when cross compiling to find malloc
  * changelog: Remove unnecessary ITP message.
  * control: Rename -dbg package in line with new lib name. Rename -dev
    package without SONAME.
  * Remove Joey from Maintainer on his request. Remove Vcs-Svn as no
    longer in collab-maint

 -- Neil Williams <codehelp@debian.org>  Sun, 27 Jan 2008 21:13:47 +0000

tslib (1.0-2) unstable; urgency=low

  * Applied a patch from the tslib mailing list to link modules
    that use tslib functions with libts. This is needed for them to work
    with DirectFB.
  * Uncomment the linux input module in ts.conf, since this is the one
    most people will probably use.
  * Add a symbols file.
  * Misc packaging fixes.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Dec 2007 18:09:38 -0500

tslib (1.0-1) unstable; urgency=low

  * Initial packaging.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Dec 2006 11:24:41 -0500

=== debian/control ===
Source: tslib
Section: embedded
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), automake | automaken, autoconf, libtool
Standards-Version: 3.9.5
Homepage: http://tslib.berlios.de/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/tslib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/tslib/trunk/

Package: libts-0.0-0
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tsconf
Conflicts: tslib, libts0
Provides: tslib, libts0
Replaces: tslib, libts0
Multi-Arch: same
Description: touch screen library
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events. Examples of implemented
 filters include jitter smoothing and the calibration transform.

Package: libts-dev
Architecture: linux-any
Section: libdevel
Replaces: libts0
Depends: libts-0.0-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: touch screen library, development files
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains the static library and header files used in
 development.

Package: libts-bin
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library utilities
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains a few test programs like ts_calibrate that can
 be useful when developing or testing application using touch screens.

Package: libts-0.0-0-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libts-0.0-0 (= ${binary:Version}), libts-bin (= ${binary:Version}), ${misc:Depends}
Description: touch screen library debug symbols
 Tslib is an abstraction layer for touchscreen panel events, as well
 as a filter stack for the manipulation of those events.
 .
 This package contains the debug symbols.

Package: tsconf
Architecture: all
Replaces: libts-0.0-0 (<= 1.0-6)
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library common files
 Tslib is an abstraction layer for touchscreen panel events, as well
 as a filter stack for the manipulation of those events.
 .
 This package contains the common files for the shared
 library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) ac_cv_func_malloc_0_nonnull=yes
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr --with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/ts0 \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc $(CROSS)
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	./autogen-clean.sh
	dh_clean depcomp tslib-0.0.pc aclocal.m4 INSTALL m4/internal/*
	rm -f build-stamp

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) DESTDIR=$(shell pwd)/debian/tmp install
	dh_installdirs
	dh_install --sourcedir=debian/tmp --list-missing
ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
	dh_installdocs AUTHORS README
	dh_installchangelogs ChangeLog
	dh_installman -plibts-bin debian/*.1
	dh_installman -ptsconf debian/*.5
endif
	dh_compress
	dh_fixperms
	dh_strip --dbg-package=libts-0.0-0-dbg
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=2
opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=3809 \
http://prdownload.berlios.de/tslib/tslib-(.*)\.tar\.bz2
#http://tslib.berlios.de/ .*/tslib-(.*).tar.bz2

## tslib 1.9

=== debian/changelog ===
tslib (1.9-1) unstable; urgency=low

  * bump to upstream version 1.9
  * add iir filter symbols, introduced in 1.9
  * add ts_verify's manpage introduced in 1.9
  * remove dh-autoreconf build dependency

 -- Martin Kepplinger <martink@posteo.de>  Fri, 21 Apr 2017 08:28:31 +0100

tslib (1.8-3) unstable; urgency=low

  * libts0 Breaks and Replaces the old tsconf package conffile (Closes: #860100)

 -- Martin Kepplinger <martink@posteo.de>  Wed, 12 Apr 2017 08:01:31 +0100

tslib (1.8-2) unstable; urgency=low

  * switch to debhelper 10
  * remove manual debug package creation
  * add missing ts_setup manpage
  * install missing libts.so to libts-dev package

 -- Martin Kepplinger <martink@posteo.de>  Tue, 11 Apr 2017 12:09:19 +0100

tslib (1.8-1) unstable; urgency=low

  * Initial re-packaging of tslib. (Closes: #845181)
  * remove man pages. they are part of the project now.
  * remove all patches. they are dealt with upstream.
  * use dh and autoreconf in rules.
  * remove tsconf package and include ts.conf in libts.
  * add hardening config.

 -- Martin Kepplinger <martink@posteo.de>  Thu, 23 Mar 2017 11:46:23 +0100

=== debian/control ===
Source: tslib
Section: embedded
Priority: optional
Maintainer: Martin Kepplinger <martink@posteo.de>
Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
Standards-Version: 3.9.8
Homepage: http://tslib.org
Vcs-Git: https://github.com/merge/tslib-debian
Vcs-Browser: https://github.com/merge/tslib-debian

Package: libts0
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: tsconf
Replaces: tsconf
Multi-Arch: same
Description: touch screen library
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events. Examples of implemented
 filters include jitter smoothing and the calibration transform.

Package: libts-dev
Architecture: linux-any
Section: libdevel
Depends: libts0 (=${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: touch screen library, development files
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains the static library and header files used in
 development.

Package: libts-bin
Architecture: linux-any
Depends: libts0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library utilities
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains programs like ts_calibrate or ts_uinput that can
 be useful when developing or testing application using touch screens.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/kergoth/tslib/releases .*/tslib-(\d\.\d)\.tar\.(?:bz2|gz|xz)

## tslib 1.10

=== debian/changelog ===
tslib (1.10-1) unstable; urgency=low

  * bump to upstream version 1.10 and updates to manpages and symbols

 -- Martin Kepplinger <martink@posteo.de>  Fri, 12 May 2017 10:18:39 +0100

## tslib 1.11

=== debian/changelog ===
tslib (1.11-1) unstable; urgency=low

  * bump to upstream version 1.11 and add the new manpages

 -- Martin Kepplinger <martink@posteo.de>  Tue, 06 Jun 2017 14:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
 Description: touch screen library
  Tslib is an abstraction layer for touchscreen panel events, as well as a
  filter stack for the manipulation of those events. Examples of implemented
- filters include jitter smoothing and the calibration transform.
+ filters include debounce, median, iir, dejitter and the calibration
+ transform.
 
 Package: libts-dev
 Architecture: linux-any
@@ -42,4 +43,4 @@
  filter stack for the manipulation of those events.
  .
  This package contains programs like ts_calibrate or ts_uinput that can
- be useful when developing or testing application using touch screens.
+ be useful when developing, testing or deploying applications using tslib.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) ac_cv_func_malloc_0_nonnull=yes
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND = -O2 -Wall -W -fPIC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#DH_VERBOSE = 1
#export DH_OPTIONS=-v

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--disable-dependency-tracking \
		--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/ts0 \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc $(CROSS)

## tslib 1.13

=== debian/changelog ===
tslib (1.13-1) unstable; urgency=low

  * Update to tslib version 1.13
  * Remove patches as they are upstream
  * Add symbols files for hurd-i386, kfreebsd-amd64 and kfreebsd-i386
  * Add new library symbols to symbols files
  * Add new library manpages

 -- Martin Kepplinger <martink@posteo.de>  Thu, 14 Sep 2017 09:23:12 +0100

tslib (1.12-5) unstable; urgency=low

  * Add an upstream patch to fix the build for GNU/kFreeBSD

 -- Martin Kepplinger <martink@posteo.de>  Fri, 01 Sep 2017 07:30:34 +0100

tslib (1.12-4) unstable; urgency=low

  * Verified that 1.12-3 fixes the build (Closes:#873693)
  * Updated copyright information
  * Add desktop files for ts_calibrate and ts_test_mt
  * Add support for hurd and kfreebsd operating systems

 -- Martin Kepplinger <martink@posteo.de>  Thu, 31 Aug 2017 15:08:50 +0100

tslib (1.12-3) unstable; urgency=low

  * Add patch (from upstream) to fix the build

 -- Martin Kepplinger <martink@posteo.de>  Thu, 31 Aug 2017 07:11:24 +0100

tslib (1.12-2) unstable; urgency=low

  * add a configure script fix
  * bump policy standard version to 4.1.0

 -- Martin Kepplinger <martink@posteo.de>  Wed, 30 Aug 2017 11:06:55 +0100

tslib (1.12-1) unstable; urgency=low

  * bump to upstream version 1.12

 -- Martin Kepplinger <martink@posteo.de>  Tue, 29 Aug 2017 19:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian
 
 Package: libts0
-Architecture: linux-any
+Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +23,7 @@
  transform.
 
 Package: libts-dev
-Architecture: linux-any
+Architecture: any
 Section: libdevel
 Depends: libts0 (=${binary:Version}), ${misc:Depends}
 Multi-Arch: same
@@ -35,7 +35,7 @@
  development.
 
 Package: libts-bin
-Architecture: linux-any
+Architecture: any
 Depends: libts0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: touch screen library utilities

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) ac_cv_func_malloc_0_nonnull=yes
 else
@@ -16,6 +18,16 @@
 #DH_VERBOSE = 1
 #export DH_OPTIONS=-v
 
+
+ifeq ($(DEB_HOST_ARCH_OS), hurd)
+	ARCH_CONF = --disable-input --disable-galax --disable-waveshare
+endif
+
+# when a recent FreeBSD (with evdev) is used, remove --disable-input here
+ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
+	ARCH_CONF = --disable-input --disable-galax --disable-waveshare
+endif
+
 %:
 	dh $@
 
@@ -24,4 +36,4 @@
 		--disable-dependency-tracking \
 		--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/ts0 \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-		--sysconfdir=/etc $(CROSS)
+		--sysconfdir=/etc $(CROSS) $(ARCH_CONF)

## tslib 1.14

=== debian/changelog ===
tslib (1.14-1) unstable; urgency=low

  * Update to tslib version 1.14

 -- Martin Kepplinger <martink@posteo.de>  Sun, 12 Nov 2017 01:11:42 +0100

## tslib 1.15

=== debian/changelog ===
tslib (1.15-1) unstable; urgency=low

  * Update to tslib version 1.15
  * Update and check standards version
  * Update symbols files

 -- Martin Kepplinger <martink@posteo.de>  Thu, 11 Jan 2018 15:25:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))

## tslib 1.16

=== debian/changelog ===
tslib (1.16-1) unstable; urgency=low

  * Update to tslib version 1.16
  * Update and check standards version
  * Update symbols files
  * Update signing key

 -- Martin Kepplinger <martink@posteo.de>  Thu, 19 Apr 2018 15:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian

## tslib 1.17

=== debian/changelog ===
tslib (1.17-1) unstable; urgency=low

  * Update to tslib version 1.17
  * Update and check standards version

 -- Martin Kepplinger <martink@posteo.de>  Thu, 06 Sep 2018 11:38:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/kergoth/tslib/releases .*/tslib-(\d\.\d\d)\.tar\.(?:bz2|gz|xz)

## tslib 1.18

=== debian/changelog ===
tslib (1.18-2) unstable; urgency=low

  * Add pkg-config build dependency (Closes:#914947)

 -- Martin Kepplinger <martink@posteo.de>  Thu, 29 Nov 2018 13:15:32 +0100

tslib (1.18-1) unstable; urgency=low

  * Update to tslib version 1.18
  * Add patches from upstream to build cleanly
  * Add new symbols to symbols files

 -- Martin Kepplinger <martink@posteo.de>  Tue, 27 Nov 2018 09:20:45 +0100
